Name:           perl-Statistics-Contingency
Version:        0.08
Release:        5%{?dist}
Summary:        Calculate precision, recall, F1, accuracy, etc

# There is no license file included with the sources, I asked upstream for one:
#    https://rt.cpan.org/Public/Bug/Display.html?id=79563
License:        GPL+ or Artistic
URL:            http://search.cpan.org/dist/Statistics-Contingency/

Source0:        http://www.cpan.org/authors/id/K/KW/KWILLIAMS/Statistics-Contingency-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  perl(Module::Build)
BuildRequires:  perl(Params::Validate) >= 0.23

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(Params::Validate) >= 0.23

%description
The Statistics::Contingency class helps you calculate several useful
statistical measures based on 2x2 "contingency tables". I use these
measures to help judge the results of automatic text categorization
experiments, but they are useful in other situations as well.


%prep
%setup -q -n Statistics-Contingency-%{version}


%build
%{__perl} Build.PL installdirs=vendor
./Build


%install
./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*


%check
./Build test


%files
%doc Changes README
%{perl_vendorlib}/Statistics
%{_mandir}/man3/Statistics::Contingency.3pm*


%changelog
* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.08-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 25 2013 Petr Pisar <ppisar@redhat.com> - 0.08-4
- Perl 5.18 rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.08-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Sep 11 2012 Mathieu Bridon <bochecha@fedoraproject.org> - 0.08-2
- Fix issues based on Michael's review feedback:
  - Properly own the installed directories
  - Ask upstream to add a license file in their next release:
    https://rt.cpan.org/Public/Bug/Display.html?id=79563

* Mon Aug 20 2012 Mathieu Bridon <bochecha@fedoraproject.org> - 0.08-1
- Initial package with help from cpanspec.
